Subject: Re: [dtn] AMP comment on DC container

From: "Birrane, Edward J." <[email-masked]>
Date: Wed, 6 Apr 2016 15:55:18 +0000

I completely agree!

The DC predated the TDC and should completely replace DC, to include the specification of parameters in a parameterized MID.

The next revision of AMP will not have DC as a type, only TDC.  Also, there will be an expanded discussion of the rationale for putting the types up front - namely to speed up processing of type correctness checking.

-Ed

---
Edward J. Birrane, III, Ph.D.
Embedded Applications Group Supervisor
Space Exploration Sector
Johns Hopkins Applied Physics Laboratory
(W) 443-778-7423 / (F) 443-228-3839
________________________________
From: dtn <[email-masked]> on behalf of Brian Sipos <[email-masked]>
Sent: Wednesday, March 30, 2016 4:42 PM
To: [email-masked]
Subject: [dtn] AMP comment on DC container

This is a comment against "draft-birrane-dtn-amp-02".

I think there is little benefit in having a separate DC type from TDC type. Having only a TDC type is enough to capture all of the cases, and by getting rid of the BLOB-item-wrapping the overhead of the type IDs (in TDC) is no worse than the BLOB size values. The main benefit of this is that it would allow encoded AMP messages to be
self-contained as far as coding is concerned (i.e. I can decode an entire AMP message without external ADM information, even if I cannot interpret the semantics of the message and associate values with OIDs).